Bug 18055 - Passwords can't be changed
Passwords can't be changed
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
: 27552 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-10-02 01:39 EDT by Robert B
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-04 20:35:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert B 2000-10-02 01:39:00 EDT
RH7.0 (upgraded from RH6.2)
Passwords can't be changed, as shown in following dialogue:

Changing password for robertb
(current) UNIX password: ********
New UNIX password: ********
Retype new UNIX password: ********
passwd: Authentication token manipulation error

Same happens when root tries to change the password for this or any other
Comment 1 Nalin Dahyabhai 2000-10-02 01:45:09 EDT
What are the contents of your /etc/pam.d/system-auth file?
Comment 2 Robert B 2000-10-02 01:50:27 EDT
# cat system-auth 
# This file is auto-generated.
# User changes will be destroyed the next time authconfig is run.
auth        sufficient    /lib/security/pam_unix.so likeauth nullok md5 shadow
auth        required      /lib/security/pam_deny.so
account     sufficient    /lib/security/pam_unix.so
account     required      /lib/security/pam_deny.so
password    required      /lib/security/pam_cracklib.so retry=3
password    sufficient    /lib/security/pam_unix.so nullok use_authtok md5
password    required      /lib/security/pam_deny.so
session     required      /lib/security/pam_unix.so
Comment 3 Nalin Dahyabhai 2000-10-02 02:13:55 EDT
I've just checked here and can't duplicate this on my fresh-installed machine. 
What are the contents of /etc/pam.d/passwd and the versions of the passwd and
pam packages you have installed?
Comment 4 Robert B 2000-10-02 02:23:18 EDT
# cat /etc/pam.d/passwd 
auth       required	/lib/security/pam_stack.so service=system-auth
account    required	/lib/security/pam_stack.so service=system-auth
password   required	/lib/security/pam_stack.so service=system-auth

# rpm -qa|egrep -i "pam|passwd"

Maybe I should also note that I don't have a shadow password file, just the
standard /etc/passwd.
Comment 5 ylitvin 2000-10-02 13:17:58 EDT
Can't change the password on freshly installed system (Dell Inspiron 3800).
Choices during install: Graphic, Custom, user was created during install
$ passwd
Changing password for blah
(current) UNIX password: 
passwd: Authentication token manipulation error

I've added another user after install, su'ed to it and couldn't change the
password either.
Comment 6 Need Real Name 2000-10-03 11:47:52 EDT
I have a freshly installed 7.0 box, created user during install... no problems. 
using shadowed passwords.

[root@noc csteele]# passwd csteele
Changing password for user csteele
New UNIX password: 
Retype new UNIX password: 
passwd: all authentication tokens updated successfully
Comment 7 Nalin Dahyabhai 2000-10-04 19:19:26 EDT
Not having a /etc/shadow file appears to be the problem (and a bug in the pam
package, since it didn't migrate those settings right).  A workaround would be
to remove all occurrences of the "shadow" flag from /etc/pam.d/system-auth, or
use authconfig to turn shadow on, and then to use it to turn shadow off again.
Comment 8 Robert B 2000-10-04 20:35:56 EDT
Running authconfig, I discovered that shadow passwords were turned on, even
though the system
has no /etc/shadow file. I turned it off and am now able to change passwords
again. End of bug.
Comment 9 Nalin Dahyabhai 2000-10-05 22:46:23 EDT
Correct migration has been added to versions of the PAM package in the build
tree, and it will be fixed in the next Raw Hide snapshot and future releases.
Comment 10 Nalin Dahyabhai 2001-02-14 23:00:56 EST
*** Bug 27552 has been marked as a duplicate of this bug. ***
Comment 11 Lokesh Bhog 2001-03-08 04:13:13 EST
I also faced the problem of not being able to change the password. Turning on 
the shadow password using pwconv worked.

Note You need to log in before you can comment on or make changes to this bug.